## DACPPlayer DACPPlayer |

## Functions

DAAPRecord * | dacp_player_now_playing_record ()
guchar * | dacp_player_now_playing_artwork ()
void | dacp_player_play_pause ()
void | dacp_player_pause ()
void | dacp_player_next_item ()
void | dacp_player_prev_item ()
void | dacp_player_cue_clear ()
void | dacp_player_cue_play ()

## Properties

DACPPlayState | play-state | Read / Write
gulong | playing-time | Read / Write
DACPRepeatState | repeat-state | Read / Write
gboolean | shuffle-state | Read / Write
gulong | volume | Read / Write

## Types and Values

enum | DACPRepeatState
enum | DACPPlayState

## Object Hierarchy

        GEnum
        ├── DACPPlayState
        ╰── DACPRepeatState
        GInterface
        ╰── DACPPlayer

## Description

## Functions

### dacp_player_now_playing_record ()

    DAAPRecord *
    dacp_player_now_playing_record (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_now_playing_artwork ()

    guchar *
    dacp_player_now_playing_artwork (DACPPlayer *player,
                                     guint width,
                                     guint height);

#### Parameters

player | a player |
width | width |
height | height |

### dacp_player_play_pause ()

    void
    dacp_player_play_pause (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_pause ()

    void
    dacp_player_pause (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_next_item ()

    void
    dacp_player_next_item (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_prev_item ()

    void
    dacp_player_prev_item (DACPPlayer *player);

### dacp_player_cue_clear ()

    void
    dacp_player_cue_clear (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_cue_play ()

    void
    dacp_player_cue_play (DACPPlayer *player,
                          GList *records,
                          guint index);

#### Parameters

player | a player |
records | a list of records |
index | an index |

## Types and Values

### enum DACPRepeatState

#### Members

DACP_REPEAT_NONE |  |
DACP_REPEAT_SINGLE |  |
DACP_REPEAT_ALL |  |

### enum DACPPlayState

#### Members

DACP_PLAY_STOPPED |  |
DACP_PLAY_PAUSED |  |
DACP_PLAY_PLAYING |  |

## Property Details

### The `“play-state”` property

      “play-state”               DACPPlayState

Play state.

Flags: Read / Write

Default value: DACP_PLAY_STOPPED

### The `“playing-time”` property

      “playing-time”             gulong

Playing time (ms).

Flags: Read / Write

### The `“repeat-state”` property

      “repeat-state”             DACPRepeatState

Repeat state.

Flags: Read / Write

Default value: DACP_REPEAT_NONE

### The `“shuffle-state”` property

      “shuffle-state”            gboolean

Shufle state.

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   gulong

Volume.

Flags: Read / Write

Allowed values: <= 100